var crssword = crssword || {};

crssword.vle = (function () {
  var open = function(){
    var test;
    var array = [];
    array.push("data");

    VLE.get_server_data(true, array, function (savedData) {
      if (savedData.data) {
      test = JSON.parse(savedData.data);
      for (var input in test) {
        document.getElementById(input).value = test[input]
        crssword.clues.updateText(document.getElementById(input))
      }
    }
    }, function (msg) {
      console.log("Failed to get server data.");
      if (msg !== null) {
        console.log(msg);
      }
    });
  };
  var save = function(){
    var inputs=document.querySelectorAll("#cluesContainer input");
    var saveData= {};
    for(var input in inputs) {
      if(inputs[input].value) {
        var val = inputs[input].value.split(" ").join("");
        if (val !== "") {
          saveData[inputs[input].id] = inputs[input].value;
        }
      }
    }
    var temp = {
      data: JSON.stringify(saveData)
    };
    VLE.set_server_data(true, temp, function () {
      console.log("set_server_data was successful");
    }, function (msg) {
      console.log("set_server_data has failed");
      if (msg !== null) {
        console.log(msg);
      }
    });
  };
return {
  open:open,
  save: save
};
})();
